library(shiny)
shinyServer(function(input, output) {
	# This function loads the dataset using the different options specified by the user in ui.R
	datasetInput <- reactive(function() {
		if (input$dataset!="none") {
			separator <- switch(input$sep,","=",",	";"=";","space"=" ","tab"="\t")
			if (input$quote) {quotesymb <- "\""} else {quotesymb <- ""}
			res <- read.table(input$dataset, header=input$header, dec=input$dec, sep=separator, stringsAsFactor=FALSE, quote=quotesymb)
		} else {
			res <- "none"
		}
		res
	})

	# This function calculate the output (print) of sent to the main panel in ui.R
	output$summary <- reactivePrint(function() {
		dataset <- datasetInput()
		if (length(dataset)==1) {
			res <- cat("No statistics to calculate in this file",sep="\n")
		} else {res <- apply.wmtw(dataset)$res}
		res
	})
})



