setwd("~/.")
av.datasets <- list.files(pattern="*csv")
# Open a page
shinyUI(pageWithSidebar(
	# Application title
	headerPanel("Welcome lazy student ! You're currently using the package 'What Nicolas's teacher wants' "),

	# Create a sidebar on the left
	sidebarPanel(
		# Create a list to select a dataset: the available datasets are all csv files in the working directory
		selectInput("dataset", "Choose a dataset:",choices = c("none",av.datasets)),
		# Create a checkbox to let the user specify if headers are included in the csv file
		checkboxInput(inputId = "header", label = strong("Variables names in the dataset?"), value = TRUE),
		checkboxInput(inputId = "quote", label = strong("Quote marks in the dataset?"), value = TRUE),
		# Create lists to describe the csv file format
		selectInput("sep","Column separator",choices=c(",",";","space","tab")),
		selectInput("dec","Decimal mark",choices=c(".",","))
	),

	# Main panel definition
	mainPanel(
		# Various text; the working directory is given to help the user
		paste("Currently, your working directory is:",getwd(),"\n Put the csv files you want to use inside."),
		h3("What Nicolas's teacher wants is below:"),

		# Use the main function 'WhatMyTeacherWants' to calculate basic statistics on the dataset
		# This main panel uses the part output$summary of the server.R file
		verbatimTextOutput("summary")
	)
))